clc
clear all
disp('CONFRONTO METODI BISEZIONE-NEWTON')
a=0.5;
b=1;
ep=0.0001;

fprintf('\nCon una tolleranza di %.4f il numero di iterazioni dei due metodi  \n',ep);
[root_bis, cont_bis] = Bisection('funz',a,b,ep);
[root_new, cont_new]= newton('funz','jac',0,ep);
fprintf('\nMetodo di bisezione: %d \t Metodo di Newton: %d \n',cont_bis,cont_new);
fprintf('\n...e le soluzioni trovate sono \n',ep);
fprintf('\nMetodo di bisezione: %.14f \t Metodo di Newton: %.14f \n',root_bis,root_new);

ep=1e-10;
fprintf('\n\nCon una tolleranza di %.10f il numero di iterazioni dei due metodi  \n',ep);
[root_bis, cont_bis] = Bisection('funz',a,b,ep);
[root_new, cont_new]= newton('funz','jac',0,ep);
fprintf('\nMetodo di bisezione: %d \t Metodo di Newton: %d \n',cont_bis,cont_new);
fprintf('\n...e le soluzioni trovate sono \n',ep);
fprintf('\nMetodo di bisezione: %.14f \t Metodo di Newton: %.14f \n',root_bis,root_new);


fprintf('\nLa soluzione esatta e'' %.14f \n',log(2))
